-オープンソースのSNSエンジン OpenPNEプロジェクト-

opCommunityTopicPlugin 1.0.2.2 リリースのお知らせ

09 / 30 金曜日 2011

(2011/10/06 追記: 「注意事項」の節を追加しました。 opCommunityTopicPlugin 1.0.2 もしくは opCommunityTopicPlugin 1.0.2.1 を導入されていた方は必ずお読みください)

OpenPNE 開発チームの渡辺です。

本日 2011/09/30 (金)、 opCommunityTopicPlugin 1.0.2.2 をリリースしました。

このリリースでは「1.0.2 で追加されたマイグレートスクリプト(リビジョン番号 6)で外部キー制約違反により、マイグレートに失敗することがある」という問題の修正を行なっています。

OpenPNE 3.6 を使われている方、もしくは OpenPNE 3.4 で opCommunityTopicPlugin 1.0.2.1以下 を使われている方でマイグレートに失敗する問題が発生している場合は、 opCommunityTopicPlugin 1.0.2.2 へのバージョンアップを実施してマイグレートを行なってください。

OpenPNE 3.2, 3.4 を使われている方は opCommunityTopicPlugin 0.9.8 をお使いください。

変更点

1.0.2.1 からの変更点

  • Bug(バグ) #2449: 1.0.2 で追加されたマイグレートスクリプト(リビジョン番号 6)で外部キー制約違反により、マイグレートに失敗することがある

変更に関する詳細は バージョン情報 をご覧ください。

アップデート手順

コマンドライン上から opPlugin:install タスクを実行することでアップデートすることができます。

$ php symfony opPlugin:install -r 1.0.2.2 opCommunityTopicPlugin
$ php symfony openpne:migrate --target=opCommunityTopicPlugin

リリースの詳細

プラグインパッケージのダウンロード URL などの情報は以下のページから確認することができます。

http://plugins.openpne.jp/release/381

注意事項 (2011/10/06 追加)

このバージョンでは、前述のとおり、 opCommunityTopicPlugin 1.0.2 で追加されたマイグレートスクリプトに不備があり、特定の条件下でマイグレートが失敗していた問題の修正をおこなっています。

opCommunityTopicPlugin 1.0.2 もしくは opCommunityTopicPlugin 1.0.2.1 へのマイグレートでエラーが発生した場合、この問題によって不完全なマイグレートがおこなわれた状態になっている可能性があります。その場合、 バックアップデータを用いて、以下のテーブルの構造をマイグレートをおこなう前に戻した上で、このバージョンで再度マイグレートを試みてください。

  • community_topic_image
  • community_topic_comment_image
  • community_event_image
  • community_event_comment_image

コメント:0

コメントフォーム
お名前やメールアドレスを記録しますか?

トラックバック:0

この記事のトラックバックURL
http://www.openpne.jp/archives/6478/trackback/

ページの先頭に戻る